Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class KeyStore.CallbackHandlerProtection

    java.lang.Object
      java.security.KeyStore.CallbackHandlerProtection

All Implemented Interfaces:
  KeyStore.ProtectionParameter

Enclosing class:
  KeyStore

    public static class KeyStore.CallbackHandlerProtection

extends Object
implements KeyStore.ProtectionParameter

A ProtectionParameter encapsulating a CallbackHandler.

Since:
  1.5

Constructor Summary
`KeyStore.CallbackHandlerProtection(CallbackHandler handler)` Constructs a new CallbackHandlerProtection from a CallbackHandler.

Method Summary
`CallbackHandler` | `getCallbackHandler()` Returns the CallbackHandler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStore.CallbackHandlerProtection

    public KeyStore.CallbackHandlerProtection(CallbackHandler handler)

  Constructs a new CallbackHandlerProtection from a CallbackHandler.

  Parameters:
    `handler` - the CallbackHandler
  Throws:
    `NullPointerException` - if handler is null

Method Detail

### getCallbackHandler

    public CallbackHandler getCallbackHandler()

  Returns the CallbackHandler.

  Returns:
    the CallbackHandler.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.